published on Thursday, Apr 2, 2026 by Byteplus
published on Thursday, Apr 2, 2026 by Byteplus
API request parameter - Create RDS SQL Server allowlist (CreateAllowList)
Example Usage
Example coming soon!
Example coming soon!
Example coming soon!
Example coming soon!
Example coming soon!
resources:
rDSMsSQLAllowlistDemo:
type: bytepluscc:rdsmssql:AllowList
name: RDSMsSQLAllowlistDemo
properties:
projectName: default
allowListName: ccapi-test-all
allowListDesc: ccapi-test
allowListType: IPv4
allowListCategory: Ordinary
allowList: 192.168.0.0/24,192.168.0.1,192.168.0.2
userAllowList: 192.168.0.0/24,192.168.0.1,192.168.0.2
associatedInstances:
- instance_id: mssql-9b195******
Create AllowList Resource
Resources are created with functions called constructors. To learn more about declaring and configuring resources, see Resources.
Constructor syntax
new AllowList(name: string, args: AllowListArgs, opts?: CustomResourceOptions);@overload
def AllowList(resource_name: str,
args: AllowListArgs,
opts: Optional[ResourceOptions] = None)
@overload
def AllowList(resource_name: str,
opts: Optional[ResourceOptions] = None,
allow_list_name: Optional[str] = None,
allow_list: Optional[str] = None,
allow_list_category: Optional[str] = None,
allow_list_desc: Optional[str] = None,
allow_list_type: Optional[str] = None,
associated_instance_num: Optional[int] = None,
associated_instances: Optional[Sequence[AllowListAssociatedInstanceArgs]] = None,
instance_id: Optional[str] = None,
project_name: Optional[str] = None,
user_allow_list: Optional[str] = None)func NewAllowList(ctx *Context, name string, args AllowListArgs, opts ...ResourceOption) (*AllowList, error)public AllowList(string name, AllowListArgs args, CustomResourceOptions? opts = null)
public AllowList(String name, AllowListArgs args)
public AllowList(String name, AllowListArgs args, CustomResourceOptions options)
type: bytepluscc:rdsmssql:AllowList
properties: # The arguments to resource properties.
options: # Bag of options to control resource's behavior.
Parameters
- name string
- The unique name of the resource.
- args AllowListArgs
- The arguments to resource properties.
- opts CustomResourceOptions
- Bag of options to control resource's behavior.
- resource_name str
- The unique name of the resource.
- args AllowListArgs
- The arguments to resource properties.
- opts ResourceOptions
- Bag of options to control resource's behavior.
- ctx Context
- Context object for the current deployment.
- name string
- The unique name of the resource.
- args AllowListArgs
- The arguments to resource properties.
- opts ResourceOption
- Bag of options to control resource's behavior.
- name string
- The unique name of the resource.
- args AllowListArgs
- The arguments to resource properties.
- opts CustomResourceOptions
- Bag of options to control resource's behavior.
- name String
- The unique name of the resource.
- args AllowListArgs
- The arguments to resource properties.
- options CustomResourceOptions
- Bag of options to control resource's behavior.
Constructor example
The following reference example uses placeholder values for all input properties.
var exampleallowListResourceResourceFromRdsmssqlallowList = new Bytepluscc.Rdsmssql.AllowList("exampleallowListResourceResourceFromRdsmssqlallowList", new()
{
AllowListName = "string",
AllowListValue = "string",
AllowListCategory = "string",
AllowListDesc = "string",
AllowListType = "string",
AssociatedInstanceNum = 0,
AssociatedInstances = new[]
{
new Bytepluscc.Rdsmssql.Inputs.AllowListAssociatedInstanceArgs
{
InstanceId = "string",
},
},
InstanceId = "string",
ProjectName = "string",
UserAllowList = "string",
});
example, err := rdsmssql.NewAllowList(ctx, "exampleallowListResourceResourceFromRdsmssqlallowList", &rdsmssql.AllowListArgs{
AllowListName: pulumi.String("string"),
AllowList: pulumi.String("string"),
AllowListCategory: pulumi.String("string"),
AllowListDesc: pulumi.String("string"),
AllowListType: pulumi.String("string"),
AssociatedInstanceNum: pulumi.Int(0),
AssociatedInstances: rdsmssql.AllowListAssociatedInstanceArray{
&rdsmssql.AllowListAssociatedInstanceArgs{
InstanceId: pulumi.String("string"),
},
},
InstanceId: pulumi.String("string"),
ProjectName: pulumi.String("string"),
UserAllowList: pulumi.String("string"),
})
var exampleallowListResourceResourceFromRdsmssqlallowList = new com.byteplus.bytepluscc.rdsmssql.AllowList("exampleallowListResourceResourceFromRdsmssqlallowList", com.byteplus.bytepluscc.rdsmssql.AllowListArgs.builder()
.allowListName("string")
.allowList("string")
.allowListCategory("string")
.allowListDesc("string")
.allowListType("string")
.associatedInstanceNum(0)
.associatedInstances(AllowListAssociatedInstanceArgs.builder()
.instanceId("string")
.build())
.instanceId("string")
.projectName("string")
.userAllowList("string")
.build());
exampleallow_list_resource_resource_from_rdsmssqlallow_list = bytepluscc.rdsmssql.AllowList("exampleallowListResourceResourceFromRdsmssqlallowList",
allow_list_name="string",
allow_list="string",
allow_list_category="string",
allow_list_desc="string",
allow_list_type="string",
associated_instance_num=0,
associated_instances=[{
"instance_id": "string",
}],
instance_id="string",
project_name="string",
user_allow_list="string")
const exampleallowListResourceResourceFromRdsmssqlallowList = new bytepluscc.rdsmssql.AllowList("exampleallowListResourceResourceFromRdsmssqlallowList", {
allowListName: "string",
allowList: "string",
allowListCategory: "string",
allowListDesc: "string",
allowListType: "string",
associatedInstanceNum: 0,
associatedInstances: [{
instanceId: "string",
}],
instanceId: "string",
projectName: "string",
userAllowList: "string",
});
type: bytepluscc:rdsmssql:AllowList
properties:
allowList: string
allowListCategory: string
allowListDesc: string
allowListName: string
allowListType: string
associatedInstanceNum: 0
associatedInstances:
- instanceId: string
instanceId: string
projectName: string
userAllowList: string
AllowList Resource Properties
To learn more about resource properties and how to use them, see Inputs and Outputs in the Architecture and Concepts docs.
Inputs
In Python, inputs that are objects can be passed either as argument classes or as dictionary literals.
The AllowList resource accepts the following input properties:
- Allow
List stringName - Allowlist name
- Allow
List stringCategory - Allowlist category
- Allow
List stringDesc - Allowlist description
- Allow
List stringType - IP address type in the allowlist. Only IPv4 is supported
- Allow
List stringValue - IP allowlist. Separate multiple IP addresses with commas (,). No duplicates allowed
- Associated
Instance intNum - Number of bound instances. Required when unbinding an instance from the allowlist
- Associated
Instances List<Byteplus.Allow List Associated Instance> - Instance
Id string - Instance ID
- Project
Name string - Project name
- User
Allow stringList - IP addresses outside the security group that need to be added to the allowlist. Enter IP addresses or CIDR-formatted IP ranges. If both this field and AllowList are specified, AllowList takes precedence
- Allow
List stringName - Allowlist name
- Allow
List string - IP allowlist. Separate multiple IP addresses with commas (,). No duplicates allowed
- Allow
List stringCategory - Allowlist category
- Allow
List stringDesc - Allowlist description
- Allow
List stringType - IP address type in the allowlist. Only IPv4 is supported
- Associated
Instance intNum - Number of bound instances. Required when unbinding an instance from the allowlist
- Associated
Instances []AllowList Associated Instance Args - Instance
Id string - Instance ID
- Project
Name string - Project name
- User
Allow stringList - IP addresses outside the security group that need to be added to the allowlist. Enter IP addresses or CIDR-formatted IP ranges. If both this field and AllowList are specified, AllowList takes precedence
- allow
List StringName - Allowlist name
- allow
List String - IP allowlist. Separate multiple IP addresses with commas (,). No duplicates allowed
- allow
List StringCategory - Allowlist category
- allow
List StringDesc - Allowlist description
- allow
List StringType - IP address type in the allowlist. Only IPv4 is supported
- associated
Instance IntegerNum - Number of bound instances. Required when unbinding an instance from the allowlist
- associated
Instances List<AllowList Associated Instance> - instance
Id String - Instance ID
- project
Name String - Project name
- user
Allow StringList - IP addresses outside the security group that need to be added to the allowlist. Enter IP addresses or CIDR-formatted IP ranges. If both this field and AllowList are specified, AllowList takes precedence
- allow
List stringName - Allowlist name
- allow
List string - IP allowlist. Separate multiple IP addresses with commas (,). No duplicates allowed
- allow
List stringCategory - Allowlist category
- allow
List stringDesc - Allowlist description
- allow
List stringType - IP address type in the allowlist. Only IPv4 is supported
- associated
Instance numberNum - Number of bound instances. Required when unbinding an instance from the allowlist
- associated
Instances AllowList Associated Instance[] - instance
Id string - Instance ID
- project
Name string - Project name
- user
Allow stringList - IP addresses outside the security group that need to be added to the allowlist. Enter IP addresses or CIDR-formatted IP ranges. If both this field and AllowList are specified, AllowList takes precedence
- allow_
list_ strname - Allowlist name
- allow_
list str - IP allowlist. Separate multiple IP addresses with commas (,). No duplicates allowed
- allow_
list_ strcategory - Allowlist category
- allow_
list_ strdesc - Allowlist description
- allow_
list_ strtype - IP address type in the allowlist. Only IPv4 is supported
- associated_
instance_ intnum - Number of bound instances. Required when unbinding an instance from the allowlist
- associated_
instances Sequence[AllowList Associated Instance Args] - instance_
id str - Instance ID
- project_
name str - Project name
- user_
allow_ strlist - IP addresses outside the security group that need to be added to the allowlist. Enter IP addresses or CIDR-formatted IP ranges. If both this field and AllowList are specified, AllowList takes precedence
- allow
List StringName - Allowlist name
- allow
List String - IP allowlist. Separate multiple IP addresses with commas (,). No duplicates allowed
- allow
List StringCategory - Allowlist category
- allow
List StringDesc - Allowlist description
- allow
List StringType - IP address type in the allowlist. Only IPv4 is supported
- associated
Instance NumberNum - Number of bound instances. Required when unbinding an instance from the allowlist
- associated
Instances List<Property Map> - instance
Id String - Instance ID
- project
Name String - Project name
- user
Allow StringList - IP addresses outside the security group that need to be added to the allowlist. Enter IP addresses or CIDR-formatted IP ranges. If both this field and AllowList are specified, AllowList takes precedence
Outputs
All input properties are implicitly available as output properties. Additionally, the AllowList resource produces the following output properties:
- Allow
List stringId - Allowlist ID
- Allow
List intIp Num - Allowlist IP count
- Id string
- The provider-assigned unique ID for this managed resource.
- Allow
List stringId - Allowlist ID
- Allow
List intIp Num - Allowlist IP count
- Id string
- The provider-assigned unique ID for this managed resource.
- allow
List StringId - Allowlist ID
- allow
List IntegerIp Num - Allowlist IP count
- id String
- The provider-assigned unique ID for this managed resource.
- allow
List stringId - Allowlist ID
- allow
List numberIp Num - Allowlist IP count
- id string
- The provider-assigned unique ID for this managed resource.
- allow_
list_ strid - Allowlist ID
- allow_
list_ intip_ num - Allowlist IP count
- id str
- The provider-assigned unique ID for this managed resource.
- allow
List StringId - Allowlist ID
- allow
List NumberIp Num - Allowlist IP count
- id String
- The provider-assigned unique ID for this managed resource.
Look up Existing AllowList Resource
Get an existing AllowList resource’s state with the given name, ID, and optional extra properties used to qualify the lookup.
public static get(name: string, id: Input<ID>, state?: AllowListState, opts?: CustomResourceOptions): AllowList@staticmethod
def get(resource_name: str,
id: str,
opts: Optional[ResourceOptions] = None,
allow_list: Optional[str] = None,
allow_list_category: Optional[str] = None,
allow_list_desc: Optional[str] = None,
allow_list_id: Optional[str] = None,
allow_list_ip_num: Optional[int] = None,
allow_list_name: Optional[str] = None,
allow_list_type: Optional[str] = None,
associated_instance_num: Optional[int] = None,
associated_instances: Optional[Sequence[AllowListAssociatedInstanceArgs]] = None,
instance_id: Optional[str] = None,
project_name: Optional[str] = None,
user_allow_list: Optional[str] = None) -> AllowListfunc GetAllowList(ctx *Context, name string, id IDInput, state *AllowListState, opts ...ResourceOption) (*AllowList, error)public static AllowList Get(string name, Input<string> id, AllowListState? state, CustomResourceOptions? opts = null)public static AllowList get(String name, Output<String> id, AllowListState state, CustomResourceOptions options)resources: _: type: bytepluscc:rdsmssql:AllowList get: id: ${id}- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- resource_name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- Allow
List stringCategory - Allowlist category
- Allow
List stringDesc - Allowlist description
- Allow
List stringId - Allowlist ID
- Allow
List intIp Num - Allowlist IP count
- Allow
List stringName - Allowlist name
- Allow
List stringType - IP address type in the allowlist. Only IPv4 is supported
- Allow
List stringValue - IP allowlist. Separate multiple IP addresses with commas (,). No duplicates allowed
- Associated
Instance intNum - Number of bound instances. Required when unbinding an instance from the allowlist
- Associated
Instances List<Byteplus.Allow List Associated Instance> - Instance
Id string - Instance ID
- Project
Name string - Project name
- User
Allow stringList - IP addresses outside the security group that need to be added to the allowlist. Enter IP addresses or CIDR-formatted IP ranges. If both this field and AllowList are specified, AllowList takes precedence
- Allow
List string - IP allowlist. Separate multiple IP addresses with commas (,). No duplicates allowed
- Allow
List stringCategory - Allowlist category
- Allow
List stringDesc - Allowlist description
- Allow
List stringId - Allowlist ID
- Allow
List intIp Num - Allowlist IP count
- Allow
List stringName - Allowlist name
- Allow
List stringType - IP address type in the allowlist. Only IPv4 is supported
- Associated
Instance intNum - Number of bound instances. Required when unbinding an instance from the allowlist
- Associated
Instances []AllowList Associated Instance Args - Instance
Id string - Instance ID
- Project
Name string - Project name
- User
Allow stringList - IP addresses outside the security group that need to be added to the allowlist. Enter IP addresses or CIDR-formatted IP ranges. If both this field and AllowList are specified, AllowList takes precedence
- allow
List String - IP allowlist. Separate multiple IP addresses with commas (,). No duplicates allowed
- allow
List StringCategory - Allowlist category
- allow
List StringDesc - Allowlist description
- allow
List StringId - Allowlist ID
- allow
List IntegerIp Num - Allowlist IP count
- allow
List StringName - Allowlist name
- allow
List StringType - IP address type in the allowlist. Only IPv4 is supported
- associated
Instance IntegerNum - Number of bound instances. Required when unbinding an instance from the allowlist
- associated
Instances List<AllowList Associated Instance> - instance
Id String - Instance ID
- project
Name String - Project name
- user
Allow StringList - IP addresses outside the security group that need to be added to the allowlist. Enter IP addresses or CIDR-formatted IP ranges. If both this field and AllowList are specified, AllowList takes precedence
- allow
List string - IP allowlist. Separate multiple IP addresses with commas (,). No duplicates allowed
- allow
List stringCategory - Allowlist category
- allow
List stringDesc - Allowlist description
- allow
List stringId - Allowlist ID
- allow
List numberIp Num - Allowlist IP count
- allow
List stringName - Allowlist name
- allow
List stringType - IP address type in the allowlist. Only IPv4 is supported
- associated
Instance numberNum - Number of bound instances. Required when unbinding an instance from the allowlist
- associated
Instances AllowList Associated Instance[] - instance
Id string - Instance ID
- project
Name string - Project name
- user
Allow stringList - IP addresses outside the security group that need to be added to the allowlist. Enter IP addresses or CIDR-formatted IP ranges. If both this field and AllowList are specified, AllowList takes precedence
- allow_
list str - IP allowlist. Separate multiple IP addresses with commas (,). No duplicates allowed
- allow_
list_ strcategory - Allowlist category
- allow_
list_ strdesc - Allowlist description
- allow_
list_ strid - Allowlist ID
- allow_
list_ intip_ num - Allowlist IP count
- allow_
list_ strname - Allowlist name
- allow_
list_ strtype - IP address type in the allowlist. Only IPv4 is supported
- associated_
instance_ intnum - Number of bound instances. Required when unbinding an instance from the allowlist
- associated_
instances Sequence[AllowList Associated Instance Args] - instance_
id str - Instance ID
- project_
name str - Project name
- user_
allow_ strlist - IP addresses outside the security group that need to be added to the allowlist. Enter IP addresses or CIDR-formatted IP ranges. If both this field and AllowList are specified, AllowList takes precedence
- allow
List String - IP allowlist. Separate multiple IP addresses with commas (,). No duplicates allowed
- allow
List StringCategory - Allowlist category
- allow
List StringDesc - Allowlist description
- allow
List StringId - Allowlist ID
- allow
List NumberIp Num - Allowlist IP count
- allow
List StringName - Allowlist name
- allow
List StringType - IP address type in the allowlist. Only IPv4 is supported
- associated
Instance NumberNum - Number of bound instances. Required when unbinding an instance from the allowlist
- associated
Instances List<Property Map> - instance
Id String - Instance ID
- project
Name String - Project name
- user
Allow StringList - IP addresses outside the security group that need to be added to the allowlist. Enter IP addresses or CIDR-formatted IP ranges. If both this field and AllowList are specified, AllowList takes precedence
Supporting Types
AllowListAssociatedInstance, AllowListAssociatedInstanceArgs
- Instance
Id string - Instance ID
- Instance
Id string - Instance ID
- instance
Id String - Instance ID
- instance
Id string - Instance ID
- instance_
id str - Instance ID
- instance
Id String - Instance ID
Import
$ pulumi import bytepluscc:rdsmssql/allowList:AllowList example "allow_list_id"
To learn more about importing existing cloud resources, see Importing resources.
Package Details
- Repository
- bytepluscc byteplus-sdk/pulumi-bytepluscc
- License
- MPL-2.0
- Notes
- This Pulumi package is based on the
byteplusccTerraform Provider.
published on Thursday, Apr 2, 2026 by Byteplus
